compact3
javax.management

## Class ListenerNotFoundException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - javax.management.JMException
      - - javax.management.OperationsException
        - - javax.management.ListenerNotFoundException

All Implemented Interfaces:
  Serializable

    public class ListenerNotFoundException
    extends OperationsException

The specified MBean listener does not exist in the repository.

Since:
  1.5
See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`ListenerNotFoundException()` Default constructor.
`ListenerNotFoundException(String message)` Constructor that allows a specific error message to be specified.

### Method Summary

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### ListenerNotFoundException

    public ListenerNotFoundException()

Default constructor.

#### ListenerNotFoundException

    public ListenerNotFoundException(String message)

Constructor that allows a specific error message to be specified.

Parameters:
  `message` - the detail message.